%define pkg_name        Time-Piece-Range
%define pkg_version     1.2
%define rpm_pkg_version 1.2
%define rpm_pkg_release 2.n0i.3

Summary:       Deal with a range of Time::Piece objects
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TM/TMTM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Date::Range) >= 1.2}
%{!?_without_test:BuildRequires: perl(Time::Piece) >= 1.08}


%description
This is a subclass of Date::Range that uses Time::Piece objects rather than
Date::Simple objects. It only works at the precision of complete days -
times are ignored in all calculations.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.2-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Fri Sep 09 2005 Marius Feraru <altblue@n0i.net> 1.2-1.n0i.2
- version 1.2

* Tue Aug 09 2005 Marius Feraru <altblue@n0i.net> 1.1-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
